Package: org.codehaus.groovy.tools

## [Groovy] Script GrapeMain

- org.codehaus.groovy.tools.GrapeMain

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.apache.commons.cli.CommandLine` | `cmd`
    `def` | `commands`
    `def` | `grapeHelp`
    `def` | `help`
    `def` | `install`
    `def` | `list`
    `org.apache.commons.cli.Options` | `options`
    `def` | `resolve`
    `def` | `setupLogging`
    `def` | `uninstall`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `null` | `static void` | `main(String[] args)` Implicit main method for Groovy Scripts

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Script` | `evaluate, evaluate, getBinding, getProperty, invokeMethod, print, printf, printf, println, println, run, run, setBinding, setProperty`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### @Field org.apache.commons.cli.CommandLine cmd

    - #### @Field def commands

    - #### @Field def grapeHelp

    - #### @Field def help

    - #### @Field def install

    - #### @Field def list

    - #### @Field org.apache.commons.cli.Options options

    - #### @Field def resolve

    - #### @Field def setupLogging

    - #### @Field def uninstall

  - ### Method Detail

    - #### static void main(String[] args)

      Implicit main method for Groovy Scripts